wordpressでの宣言の仕方

wordpressで、SEOを意識してHTMLソースをW3C仕様にコーティングする場合

「<?xml version="1.0" encoding="utf-8"?>」という宣言を1番上に書き

込んであげなければならないのですが、

そのまま「<?xml version="1.0" encoding="utf-8"?>」と書き込むと

エラー表示になってしまいます。

 

では、何故そのようなエラーになるかというとPHPでは、

<?~~~~~?>という記述をプログラムと認識してしまうからなのです。

なので、「<?xml version="1.0" encoding="utf-8"?>」とそのまま書き込むと

エラーになってしまします。

 

じゃぁどうすればよいのかというと?

PHPで出力させれば問題なく解決されるわけです。

書き方は、

<?php echo '<?xml version="1.0" encoding="utf-8"?>' . "\n"; ?>

と書いてあげることでエラーがでなくなります。

 

W3C仕様でwordpressで、SEOを考えてコーティングをするのには

、どうしてもこの宣言が抜けているので書き足さないといけないのですが、

エラーが出てしまい宣言できないじゃんと

思ったらこんな風に書くことで宣言が簡単に出来てしまいます。

 

これでHTMLの得点がアップしましたねo(*'▽'*)/☆゚'・:*☆

タグ: ,
カテゴリー: wordpress |

RSS FEED
atom